/**
  Module containing mock definitions for service test runners.
*/
{ flake-inputs, lib, ... }:
{
  imports = [
    flake-inputs.sops-nix.nixosModules.sops
    ../.
    ../../configuration/services/backups.nix
  ];

  sops.defaultSopsFile = ../../keys/staging.yaml;
  environment.etc."staging.key" = {
    mode = "0400";
    source = ../../keys/hosts/staging.key;
  };
  services.openssh = {
    enable = true;
    hostKeys = lib.mkForce [
      {
        type = "rsa";
        bits = 4096;
        path = "/etc/staging.key";
      }
    ];
  };
}
